Autoroller
==========

The purpose of this addon is to automate rolling on loot. It was designed for ZG coins and bijou's, but is flexible
enough to be used for other items.

Usage
=====

After installing it, typing /autoroller will display settings for it, which are mostly self explanatory.

By default, autoroller is off. If it is off, autoroller will do nothing at all. You can turn it on and off as shown.

```
/autoroller off
or
/autoroller on
```

Running /autoroller print will display what it is doing. For example.

```
/autoroller print
autoroller is ON
===========================
Rolling greed on Green Hakkari Bijou
Rolling pass on Black Diamond
rolling need on Neltharion's Tear
```

To add Azuresong Mageblade to the need list, you can either type the name, or link the item.

```
/autoroller need Azuresong Mageblade
or
/autoroller need <SHIFT CLICK A MAGEBLADE>
```

If you replace need with greed or pass, you can automate rolling that on the item as well.

```
/autoroller greed Azuresong Mageblade
/autoroller pass <SHIFT CLICK A MAGEBLADE>
```

To no longer mark an item to be automatically rolled on, you can use remove, for example

```
/autoroller remove Azuresong Mageblade
or
/autoroller remove <SHIFT CLICK A MAGEBLADE>
```

You can clear every item from the list with

```
/autoroller clear
```

You can filter roll spam for items you are automatically rolling on with

```
/autoroller filteron            # Hide rolls on items you are automatically rolling on.
/autoroller filteroff           # Show these again
```

Or you can get rid of almost all rolling from the chat window.

```
/autoroller hiderolls           # Hide almost all roll text
/autoroller showrolls           # Show them again
```


Finally, there are convienence functions for some things.

```
/autoroller need ZG             # All coins + bijous
/autoroller remove ZG
/autoroller need AQ20           # All scarabs and idols
/autoroller need MC             # Lava/Fiery Cores and Blood of the Mountain
/autoroller needclass AQ20      # Need on all idols and scarabs that your class can use. Pass on others.
/autoroller need MCALL          # all MC loot (for rolling loot at end)
/autoroller need BWLALL         # all BWL loot (for rolling loot at end)
```

Notes
=====

- Items are saved when you logout the game, per character.

Feature Suggestions
===================

- A better GUI like interface (unlikely)
- Let you link multiple items to add to the list. For example

```
/autoroller need <Azuresong Mageblade> <Staff of Dominanace>
```